Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class PersistenceOutputDecorator

    java.lang.Object
      de.grogra.persistence.PersistenceOutputDecorator

All Implemented Interfaces:
  PersistenceOutput

    public class PersistenceOutputDecorator

extends java.lang.Object
implements PersistenceOutput

Field Summary
`protected PersistenceOutput` | `out`

Constructor Summary
`PersistenceOutputDecorator(PersistenceOutput out)`

Method Summary
`void` | `beginArray(int length, Type ct)`
`void` | `beginField(ManageableType.Field field)`
`void` | `beginFields()`
`boolean` | `beginManaged(ManageableType type, boolean writeType)`
`void` | `endArray()`
`void` | `endField(ManageableType.Field field)`
`void` | `endFields()`
`void` | `endManaged(java.lang.Object object, boolean writeType)`
`void` | `setNested(boolean nested)`
`void` | `writeBoolean(boolean value)`
`void` | `writeByte(int value)`
`void` | `writeChar(int value)`
`void` | `writeDouble(double value)`
`void` | `writeFloat(float value)`
`void` | `writeInt(int value)`
`void` | `writeLong(long value)`
`void` | `writeName(java.lang.String value)`
`void` | `writeNullObject()`
`void` | `writeObject(java.lang.Object object, Type type)`
`void` | `writePersistentObjectReference(PersistenceCapable o)`
`void` | `writeSharedObjectReference(Shareable o)`
`void` | `writeShort(int value)`
`void` | `writeString(java.lang.String value)`
`void` | `writeStringObject(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected final PersistenceOutput out

Constructor Detail

### PersistenceOutputDecorator

    public PersistenceOutputDecorator(PersistenceOutput out)

Method Detail

### beginArray

    public void beginArray(int length,
                           Type ct)
                    throws java.io.IOException

  Specified by:
    `beginArray` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### beginField

    public void beginField(ManageableType.Field field)
                    throws java.io.IOException

  Specified by:
    `beginField` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### beginFields

    public void beginFields()
                     throws java.io.IOException

  Specified by:
    `beginFields` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### beginManaged

    public boolean beginManaged(ManageableType type,
                                boolean writeType)
                         throws java.io.IOException

  Specified by:
    `beginManaged` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### endArray

    public void endArray()
                  throws java.io.IOException

  Specified by:
    `endArray` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### endField

    public void endField(ManageableType.Field field)
                  throws java.io.IOException

  Specified by:
    `endField` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### endFields

    public void endFields()
                   throws java.io.IOException

  Specified by:
    `endFields` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### endManaged

    public void endManaged(java.lang.Object object,
                           boolean writeType)
                    throws java.io.IOException

  Specified by:
    `endManaged` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### setNested

    public void setNested(boolean nested)

  Specified by:
    `setNested` in interface `PersistenceOutput`

### writeBoolean

    public void writeBoolean(boolean value)
                      throws java.io.IOException

  Specified by:
    `writeBoolean` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeByte

    public void writeByte(int value)
                   throws java.io.IOException

  Specified by:
    `writeByte` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeChar

    public void writeChar(int value)
                   throws java.io.IOException

  Specified by:
    `writeChar` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeDouble

    public void writeDouble(double value)
                     throws java.io.IOException

  Specified by:
    `writeDouble` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeFloat

    public void writeFloat(float value)
                    throws java.io.IOException

  Specified by:
    `writeFloat` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeInt

    public void writeInt(int value)
                  throws java.io.IOException

  Specified by:
    `writeInt` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeLong

    public void writeLong(long value)
                   throws java.io.IOException

  Specified by:
    `writeLong` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeName

    public void writeName(java.lang.String value)
                   throws java.io.IOException

  Specified by:
    `writeName` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeNullObject

    public void writeNullObject()
                         throws java.io.IOException

  Specified by:
    `writeNullObject` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeObject

    public void writeObject(java.lang.Object object,
                            Type type)
                     throws java.io.IOException

  Specified by:
    `writeObject` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writePersistentObjectReference

    public void writePersistentObjectReference(PersistenceCapable o)
                                        throws java.io.IOException

  Specified by:
    `writePersistentObjectReference` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeSharedObjectReference

    public void writeSharedObjectReference(Shareable o)
                                    throws java.io.IOException

  Specified by:
    `writeSharedObjectReference` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeShort

    public void writeShort(int value)
                    throws java.io.IOException

  Specified by:
    `writeShort` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeString

    public void writeString(java.lang.String value)
                     throws java.io.IOException

  Specified by:
    `writeString` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

### writeStringObject

    public void writeStringObject(java.lang.String value)
                           throws java.io.IOException

  Specified by:
    `writeStringObject` in interface `PersistenceOutput`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD